Subject: Re: diff-index --cc no longer permitted, gitk is now broken (slightly)

From: Junio C Hamano <[email-masked]>
Date: Fri, 17 Sep 2021 09:32:45 -0700

Sergey Organov <[email-masked]> writes:

> Ah, now I see, but it's exactly lack of documentation (and tests) that I
> was referring to as the "problem of the historical status quo" on the
> Git side, so I was somewhat confused by your original response.

Well, you said the fixup "restores" the status quo, but in fact,
with or without the fixup, before or after it, the lack of
documentation was there.  So I thought you were talking about
something else.

>> I wanted to give you some credit for having worked on "--diff-merges",
>> an effort to generalize things in a related area.
>
> Thanks for that! More to follow )

I somehow expect there was need for no further work in this area,
but there are also many other areas in Git where your talent is
applicable and appreciated, I am sure ;-)

Thanks.